Feature flags
There are multiple feature flags that can be enabled to test beta features. Use the following API to enable and disable them.
List feature flags
Remember to replace <camera-ip>, <username>, <password>, <flag_name1> and <flag_name2> where applicable.
- curl
- HTTP
curl --request POST \
--anyauth \
--user "<username>:<password>" \
--header "Content-Type: application/json" \
"http://<servername>/axis-cgi/featureflag.cgi" \
--data '{
"apiVersion": "1.0",
"context": "listAllRequest",
"method": "listAll"
}'
Get feature flags
POST /axis-cgi/featureflag.cgi
Host: <servername>
Content-Type: application/json
{
"apiVersion": "1.0",
"context": "listAllRequest",
"method": "listAll"
}
Set feature flag
- curl
- HTTP
curl --request POST \
--anyauth \
--user "<username>:<password>" \
--header "Content-Type: application/json" \
"http://<servername>/axis-cgi/featureflag.cgi" \
--data '{
"apiVersion": "1.0",
"context": "setFlagRequest",
"method": "set",
"params": {
"flagValues": {
"<flag_name1>": <true>,
"<flag_name2>": <false>
}
}
}'
Set feature flag
POST /axis-cgi/featureflag.cgi
Host: <servername>
Content-Type: application/json
{
"apiVersion": "1.0",
"context": "setFlagRequest",
"method": "set",
"params": {
"flagValues": {
"<flag_name1>": <true>,
"<flag_name2>": <false>
}
}
}